Index: qhp.cpp
===================================================================
--- qhp.cpp	(revision 833)
+++ qhp.cpp	(working copy)
@@ -83,6 +83,8 @@
   QCString nameSpace       = Config_getString("QHP_NAMESPACE");
   QCString virtualFolder   = Config_getString("QHP_VIRTUAL_FOLDER");
 
+  m_doc.declaration("1.0", "UTF-8");
+
   const char * rootAttributes[] =
   { "version", "1.0", 0 };
 
Index: qhpxmlwriter.cpp
===================================================================
--- qhpxmlwriter.cpp	(revision 833)
+++ qhpxmlwriter.cpp	(working copy)
@@ -84,6 +84,12 @@
   newLine();
 }
 
+void QhpXmlWriter::declaration(char const * version, char const * encoding)
+{
+  m_out << "<?xml version=\"" << version << "\" encoding=\"" << encoding << "\"?>";
+  newLine();
+}
+
 void QhpXmlWriter::indent()
 {
   if (m_curLineIndented)
Index: qhpxmlwriter.h
===================================================================
--- qhpxmlwriter.h	(revision 833)
+++ qhpxmlwriter.h	(working copy)
@@ -38,6 +38,7 @@
                    char const * const * attributes = 0);
     void openCloseContent(char const * elementName, char const * content);
     void close(char const * elementName);
+	void declaration(char const * version, char const * encoding);
 
     static char * dupEscaped(const char * source);
 
